Page MenuHomePhabricator

"Execute Query" button name is overcomplicated, could just be "Search"
Closed, ResolvedPublic

Description

Why does the search at http://fab.wmflabs.org/search/query/ need to have an "Execute Query" button? Please just call it "search", "Execute Query" is scary.

Details

Reference
fl557

Event Timeline

flimport raised the priority of this task from to Low.Sep 12 2014, 1:46 AM
flimport set Reference to fl557.
Qgil moved this task from Backlog to Need Discussion on the Phabricator (Upstream) board.
Qgil added a subscriber: Qgil.
Qgil moved this task from To Triage to Need discussion on the Phabricator board.Nov 9 2014, 11:03 PM
Qgil added a comment.Nov 9 2014, 11:17 PM

If "Search" works for MediaWiki, it should work for Wikimedia Phabricator too. Any opinions against?

Changing the string is trivial.

Qgil set Security to None.

+1. "Search" is also the button name in Bugzilla.

So the usual question: Add it to https://phabricator.wikimedia.org/config/edit/translation.override/ or add it to already existing

"Maniphest Task" : "Task", "Pholio Mock" : "Mockup"

in operations/puppet.git/modules/phabricator/data/fixed_settings.yaml? I think the latter.

Change 174583 merged by Dzahn:
Phab: Change user visible strings "Execute Query" and "Real Name"

https://gerrit.wikimedia.org/r/174583

Dzahn added a subscriber: Dzahn.Nov 25 2014, 10:55 PM

button says "Search" now. merged the change and got applied on iridium.

Dzahn closed this task as Resolved.Nov 25 2014, 10:55 PM
Dzahn claimed this task.
Qgil awarded a token.Nov 25 2014, 11:05 PM
mmodell mentioned this in Unknown Object (Diffusion Commit).Dec 10 2014, 8:37 PM